Package net.sf.saxon.event

## Class Event.StartElement

- java.lang.Object
- - net.sf.saxon.event.Event
  - - net.sf.saxon.event.Event.StartElement

- Enclosing class:
    Event

      public static class Event.StartElement
      extends Event

  Event representing the start of an element (including attributes or namespaces)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.event.Event

      `Event.Append, Event.Comment, Event.EndDocument, Event.EndElement, Event.ProcessingInstruction, Event.StartDocument, Event.StartElement, Event.Text`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StartElement​(NodeName name, SchemaType type, AttributeMap attributes, NamespaceMap namespaces, Location location, int properties)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getProperties()` |
    `void` | `replay​(Receiver out)` | Send the event to a receiver
    `void` | `replay​(Receiver out, int newProps)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartElement

          public StartElement​(NodeName name,
                              SchemaType type,
                              AttributeMap attributes,
                              NamespaceMap namespaces,
                              Location location,
                              int properties)

  - ### Method Detail

    - #### replay

          public void replay​(Receiver out)
                      throws XPathException

      Description copied from class: `Event`
      Send the event to a receiver
      Overrides:
        `replay` in class `Event`
      Parameters:
        `out` - the receiver to which the event is to be sent
      Throws:
        `XPathException` - the the receiver reports an error

    - #### replay

          public void replay​(Receiver out,
                             int newProps)
                      throws XPathException

      Throws:
        `XPathException`

    - #### getProperties

          public int getProperties()